%define name perl-MD5
%define version 1.7
%define release 12mdk

Summary: The Perl interface to the RSA Message Digest Algorithm.
Name: %{name}
Version: %{version}
Release: %{release}
License: Distributable
Group: Development/Perl
Source0: ftp://ftp.perl.org//pub/CPAN/modules/by-module/MD5/MD5-%{version}.tar.bz2
BuildRoot: %_tmppath/%name-%version-%release-root
Requires: perl >= 5.004

%description
The perl-MD5 package provides the MD5 module for the Perl
programming language.  MD5 is a Perl interface to the RSA Data
Security Inc. Message Digest Algorithm, which allows Perl
programs to use the algorithm.

The perl-MD5 package should be installed if any Perl programs
on your system are going to use RSA's Message Digest Algorithm.

%prep
rm -rf $RPM_BUILD_ROOT


%setup -n MD5-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/perl5
make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
   INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_libdir}/perl5/man/man3 install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*/*-linux/MD5.pm
%{_libdir}/perl5/site_perl/*/*-linux/auto/MD5
%{_libdir}/perl5/man/*/*

%changelog
* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-12mdk
- rebuild

* Thu May 17 2001 David BAUDENS <baudens@mandrakesoft.com> 1.7-11mdk
- Use %%_tmppath for BuildRoot

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.7-10mdk
- clean spec

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>
- Corrected location of man pages to /usr/lib/perl5/man.

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- rebuild to catch perl version change

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added the shared lib module to the package

* Sat Apr 11 1998 Bryan C. Andregg <bandregg@redhat.com>
- First build.
